openapi: 3.0.0
info:
  title: adapter-datadog
  contact: {}
  version: '1.0.0'
servers:
- url: https://{defaultHost}
  variables:
    defaultHost:
      default: www.example.com
paths:
  /:
    post:
      summary: addTagsToAHost
      description: ''
      operationId: addTagsToAHost
      parameters:
      - name: apiKey
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: applicationKey
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
        required: false
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
    get:
      summary: getHostTags
      description: ''
      operationId: getHostTags
      parameters:
      - name: apiKey
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: applicationKey
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
    put:
      summary: sendServices
      description: ''
      operationId: sendServices
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
        required: false
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
    delete:
      summary: removeHostTags
      description: ''
      operationId: removeHostTags
      parameters:
      - name: apiKey
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: applicationKey
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
tags: []
